package wordle

import (
	"git.lxtend.com/qqbot/constants"
	"git.lxtend.com/qqbot/handler"
	"git.lxtend.com/qqbot/model"
)

func init() {
	handler.RegisterHandler("wordle", wordle, constants.LEVEL_USER)
}

func wordle(msg model.Message) (reply model.Reply) {
	handler.RegisterLiveHandler(msg.GroupInfo.GroupId, msg.UserId, tempTrigger)
	return model.Reply{
		ReplyMsg:       "",
		ReferOriginMsg: true,
		FromMsg:        msg,
	}
}

func tempTrigger(msg model.Message) (reply model.Reply, isTrigger bool) {
	handler.UnRegisterLiveHandler(msg.GroupInfo.GroupId, msg.UserId)
	return model.Reply{
		ReplyMsg:       " ",
		ReferOriginMsg: true,
		FromMsg:        msg,
	}, true
}
